*
      PROGRAM TCL_SYGVZ
*
*          PDSYGV2(GV4,GV6)
*
      include 'mpif.h'
*
*  
      INTEGER            N, NPROW, NPCOL, NB, MEMSIZE, IL, IU, IBTYPE
      DOUBLE PRECISION   VL, VU, ABSTOL, ORFAC
      PARAMETER          ( N=5, NB=2, MEMSIZE=5613)
*
      DOUBLE PRECISION   AMEM( MEMSIZE )
      CHARACTER*(*)      NAME, UPLO
      CHARACTER          INFILEA*(*), INFILEB*(*), OUTFILE*(*)
*      PARAMETER          ( INFILEA = 'sygv_50.dat',
      PARAMETER          ( INFILEA = 'sygvA_5.dat',
     $                     INFILEB = 'sygvB_5.dat',
     $                     OUTFILE = 'sygvZ_5.res')
*      PARAMETER          ( INFILEA = 'sygv_50.dat',
*
      PARAMETER          ( UPLO = 'U',
     $                     NAME = 'PDSYGV2')
**     $                     NAME = 'PDSYGV4')
**     $                     NAME = 'PDSYGV6')
*
       EXTERNAL CAL_SYGVZ
*
*  
*
      NPROW = 2
      NPCOL = 2
*
      VL = 0.D0
      VU = 0.D0
      IL = 0
      IU = 0
*
      IF( NAME .NE. 'PDSYGV4' ) GOTO 1
      VL = 0.5D0
      VU = 1.5D0
    1 IF( NAME .NE. 'PDSYGV6' ) GOTO 2
      IL = 2
      IU = 5
    2 ABSTOL = 10.0D-10
      ORFAC = 0.0D0
      IBTYPE = 1
*
      CALL CAL_SYGVZ( IBTYPE, NAME, UPLO, N, NPROW, NPCOL, AMEM,
     $                MEMSIZE, NB, VL, VU, IL, IU, ABSTOL, ORFAC,
     $                INFILEA, INFILEB, OUTFILE)
*
      STOP
      END
